import { CIIProfile, CII_PROFILE_IDS } from '../cii.types.js';

/**
 * ZUGFeRD specific constants and types
 */

// ZUGFeRD profile IDs
export const ZUGFERD_PROFILE_IDS = {
  BASIC: CII_PROFILE_IDS.ZUGFERD_BASIC,
  COMFORT: CII_PROFILE_IDS.ZUGFERD_COMFORT,
  EXTENDED: CII_PROFILE_IDS.ZUGFERD_EXTENDED
};

// ZUGFeRD PDF attachment filename
export const ZUGFERD_ATTACHMENT_FILENAME = 'zugferd-invoice.xml';

// ZUGFeRD PDF attachment description
export const ZUGFERD_ATTACHMENT_DESCRIPTION = 'ZUGFeRD XML Invoice';
